# @extends

## Support #support

* [Troubleshoot](/troubleshoot)
* [EV3 Manager](https://ev3manager.education.lego.com/)
* [LEGO Support](https://www.lego.com/service/)

## Projects #projects

* [Getting Started](/getting-started)
    * [Try](/getting-started/try)
    * [Use](/getting-started/use)

* [Tutorials](/tutorials)
    * [Wake Up!](/tutorials/wake-up)
    * [Make An Animation](/tutorials/make-an-animation)
    * [What Animal Am I?](/tutorials/what-animal-am-i)
    * [Music Brick](/tutorials/music-brick)
    * [Run Motors](/tutorials/run-motors)
    * [Touch to Run](/tutorials/touch-to-run)
    * [Touch Sensor Values](/tutorials/touch-sensor-values)
    * [What Color?](/tutorials/what-color)
    * [Line Following](/tutorials/line-following)
    * [Red Light, Green Light](/tutorials/redlight-greenlight)
    * [Object Near?](/tutorials/object-near)
    * [Security Alert](/tutorials/security-alert)

* [Coding](/coding)
    * [Autonomous Parking](/coding/autonomous-parking)
    * [Object Detection](/coding/object-detection)
    * [Line Detection](/coding/line-detection)
        
* [Design Engineering](/design-engineering)
    * [Make It Move Without Wheels](/design-engineering/make-it-move)
    * [Make It Smarter and Faster](/design-engineering/make-it-smarter)
    * [Make a System that Communicates](/design-engineering/make-it-communicate)

* [Maker](/maker)
    * [Make a Sound Machine](/maker/sound-machine)
    * [Make a Security Gadget](/maker/security-gadget)

## Reference #reference

* [Reference](/reference)
    * [Brick](/reference/brick)
        * [show string](/reference/brick/show-string)
        * [show number](/reference/brick/show-number)
        * [show value](/reference/brick/show-value)
        * [show mood](/reference/brick/show-mood)
        * [show image](/reference/brick/show-image)
        * [clear screen](/reference/brick/clear-screen)
        * [show ports](/reference/brick/show-ports)
        * [on event](/reference/brick/button/on-event)
        * [is pressed](/reference/brick/button/is-pressed)
        * [was pressed](/reference/brick/button/was-pressed)
        * [pause until](/reference/brick/button/pause-until)
        * [set light](/reference/brick/set-status-light)
        * [battery level](/reference/brick/battery-level)
    * [Motors](/reference/motors)
        * [run](/reference/motors/motor/run)
        * [stop](/reference/motors/motor/stop)
        * [reset](/reference/motors/motor/reset)
        * [set brake](/reference/motors/motor/set-brake)
        * [set inverted](/reference/motors/motor/set-inverted)
        * [set regulated](/reference/motors/motor/set-regulated)
        * [tank](/reference/motors/synced/tank)
        * [steer](/reference/motors/synced/steer)
        * [angle](/reference/motors/motor/angle)
        * [speed](/reference/motors/motor/speed)
        * [clear counts](/reference/motors/motor/clear-counts)
        * [stop all motors](/reference/motors/stop-all)
    * [Sensors](/reference/sensors)
        * [Touch](/reference/sensors/touch-sensor)
            * [on event](/reference/sensors/touch-sensor/on-event)
            * [pause until](/reference/sensors/touch-sensor/pause-until)
            * [is pressed](/reference/sensors/touch-sensor/is-pressed)
            * [was pressed](/reference/sensors/touch-sensor/was-pressed)
        * [Gyro](/reference/sensors/gyro)
            * [angle](/reference/sensors/gyro/angle)
            * [rate](/reference/sensors/gyro/rate)
            * [reset](/reference/sensors/gyro/reset)
        * [Ultrasonic](/reference/sensors/ultrasonic)
            * [on event](/reference/sensors/ultrasonic/on-event)
            * [distance](/reference/sensors/ultrasonic/distance)
            * [pause until](/reference/sensors/ultrasonic/pause-until)
        * [Infrared](/reference/sensors/infrared)
            * [on event](/reference/sensors/infrared/on-event)
            * [distance](/reference/sensors/infrared/proximity)
            * [pause until](/reference/sensors/infrared/pause-until)
        * [Infrared beacon](/reference/sensors/beacon)
            * [on event](/reference/sensors/beacon/on-event)
            * [pause until](/reference/sensors/beacon/pause-until)
            * [is pressed](/reference/sensors/beacon/is-pressed)
            * [was pressed](/reference/sensors/beacon/was-pressed)
            * [set remote channel](/reference/sensors/beacon/set-remote-channel)
        * [Color](/reference/sensors/color-sensor)
            * [on color detected](/reference/sensors/color-sensor/on-color-detected)
            * [pause until color detected](/reference/sensors/color-sensor/pause-until-color-detected)
            * [on light detected](/reference/sensors/color-sensor/on-light-detected)
            * [pause until light condition detected](/reference/sensors/color-sensor/pause-until-light-detected)
            * [color](/reference/sensors/color-sensor/color)
            * [light](/reference/sensors/color-sensor/ambient-light)
    * [Music](/reference/music)
        * [play sound effect](/reference/music/play-sound-effect)
        * [play sound effect until done](/reference/music/play-sound-effect-until-done)
        * [play tone](/reference/music/play-tone)
        * [ring tone](/reference/music/ring-tone)
        * [stop all sounds](/reference/music/stop-all-sounds)
        * [rest](/reference/music/rest)
        * [change tempo by](/reference/music/change-tempo-by)
        * [set tempo](/reference/music/set-tempo)
        * [note frequency](/reference/music/note-frequency)
        * [beat](/reference/music/beat)
        * [set volume](/reference/music/set-volume)
    * [Control](/reference/control)
        * [Timer](/reference/control/timer)
            * [seconds](/reference/control/timer/seconds)
            * [millis](/reference/control/timer/millis)
            * [reset](/reference/control/timer/reset)
            * [pause until](/reference/control/timer/pause-until)
    * [Console](/reference/console)
        * [log](/reference/console/log)
        * [log value](/reference/console/log-value)
        * [send to screen](/reference/console/send-to-screen)

## #misc

## devs
